Loading...
Searching...
No Matches
gtsam::ConstantTwistScenario Class Reference

## Detailed Description

Scenario with constant twist 3D trajectory.

Note that a plane flying level does not feel any acceleration: gravity is being perfectly compensated by the lift generated by the wings, and drag is compensated by thrust. The accelerometer will add the gravity component back in, as modeled by the specificForce method in ScenarioRunner.

Inheritance diagram for gtsam::ConstantTwistScenario:

## Public Member Functions

| ConstantTwistScenario (const Vector3 &w, const Vector3 &v, const Pose3 &nTb0=Pose3())
| Construct scenario with constant twist [w,v].
Pose3 | pose (double t) const override
| pose at time t
Vector3 | omega_b (double t) const override
| angular velocity in body frame
Vector3 | velocity_n (double t) const override
| velocity at time t, in nav frame
Vector3 | acceleration_n (double t) const override
| acceleration in nav frame
Public Member Functions inherited from gtsam::Scenario
virtual | ~Scenario ()
| virtual destructor
Rot3 | rotation (double t) const
NavState | navState (double t) const
Vector3 | velocity_b (double t) const
Vector3 | acceleration_b (double t) const

## Member Function Documentation

## acceleration_n()

Vector3 gtsam::ConstantTwistScenario::acceleration_n | ( | double | t | ) | const

inline override virtual

acceleration in nav frame

Implements gtsam::Scenario.

## omega_b()

Vector3 gtsam::ConstantTwistScenario::omega_b | ( | double | t | ) | const

inline override virtual

angular velocity in body frame

Implements gtsam::Scenario.

## pose()

Pose3 gtsam::ConstantTwistScenario::pose | ( | double | t | ) | const

inline override virtual

pose at time t

Implements gtsam::Scenario.

## velocity_n()

Vector3 gtsam::ConstantTwistScenario::velocity_n | ( | double | t | ) | const

inline override virtual

velocity at time t, in nav frame

Implements gtsam::Scenario.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/Scenario.h